﻿/*
 * Copyright (C) 2010 Guillaume Duc <guillaume.duc@telecom-paristech.fr>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace AttackWrapper
{
    abstract class AttackBase
    {
        // Number of the subkey targetted by the attack (0 = main AES key, 1 = first subkey ... 10 = last subkey)
        public byte subkey_num;

        // Perform the profiling phase of the attack (nothing if not a template attack)
        public abstract void performProfilingPhase();

        // Main attack: process a trace and return the result
        public abstract PartialResult attackPhase(Trace trace);
    }
}
