﻿/*
 * Copyright (C) 2010 Guillaume Duc <guillaume.duc@telecom-paristech.fr>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace AttackWrapper
{
    public class PartialResult
    {
        // The number of the subkey attacked (0: main AES key, 1: key used during the first round, 10: last round key)
        public byte subkey_num;

        // The result of your attack
        // bytes[x,y] is the y th most probable value for the byte x of the attacked subkey
        // E.g. if bytes[1,0]=32, the value 32 is the most probable value for the second byte of the attacked subkey
        // if bytes[1,255]=55, the value 55 is the least probable value for the second byte of the attacked subkey
        public byte[,] bytes;

        public PartialResult(byte subkey_num)
        {
            this.subkey_num = subkey_num;
            bytes = new byte[16, 256];
        }
    }
}
