﻿/*
 * Copyright (C) 2010 Guillaume Duc <guillaume.duc@telecom-paristech.fr>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

using System;

namespace AttackWrapper
{
    public class Tools
    {
        public static void hexaStringToByteArray(string hexa, byte[] byteArray)
        {
            if (hexa.Length % 2 == 1)
                throw new ArgumentException();

            if (2 * byteArray.Length != hexa.Length)
                throw new ArgumentException();

            for (int i = 0; i < byteArray.Length; i++)
            {
                byteArray[i] = Convert.ToByte(hexa.Substring(2*i,2), 16);
            }
        }

        public static string byteArrayToString(byte[] byteArray)
        {
            string result = "";

            for (int i = 0; i < byteArray.Length; i++)
            {
                result += byteArray[i].ToString("X2");
            }

            return result;
        }
    }
}
